> For the complete documentation index, see [llms.txt](https://docs.definest.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.definest.ai/api/wallet-analytics/wallets-list.md).

# Wallets list

## POST /wallets

> Returns a list of wallets with filtering, sorting, and pagination capabilities

```json
{"openapi":"3.1.0","info":{"title":"Analytics API","version":"1.0.4"},"tags":[{"name":"wallet","description":"Wallet"}],"servers":[{"url":"https://definest.ai/api/analytics/v1","description":"Production server"}],"security":[{"xApiKey":[]}],"components":{"securitySchemes":{"xApiKey":{"type":"apiKey","in":"header","name":"X-API-Key","description":"API key for authentication"}},"schemas":{"BlockchainNetwork":{"type":"string","enum":["eth","sol"],"description":"Supported blockchain networks"},"WalletListOrderSchema":{"type":"object","properties":{"indicator":{"$ref":"#/components/schemas/WalletListIndicatorKey"},"period":{"$ref":"#/components/schemas/Period"},"order":{"type":"string","description":"Sort direction","enum":["asc","desc","asc_following","desc_following"]}},"required":["indicator","period","order"]},"WalletListIndicatorKey":{"type":"string","description":"Indicator key","enum":["pnl_realized","pnl_unrealized","pnl_total","median_pnl_realized","roi_realized","roi_unrealized","roi_total","median_roi_realized","roi_high","roi_low","win_rate_realized","win_rate_unrealized","win_rate_total","trade_duration","trades_count","sharp_rate","scam_trades","token_age","first_buy_amount","buy_amount","capital_required","max_drawdown","liquidity","market_cap","closed_trades","top_deal_percent_realized","top_deal_percent_total","profit_linearity"]},"Period":{"type":"string","description":"Time period","enum":["12h","24h","2d","3d","7d","10d","14d","20d","1m","2m","3m","6m","1y","2y"]},"WalletApiFilterOptionsSchema":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/WalletListFilterOptionKey"},"period":{"type":["string","null"],"description":"Required for indicators type. Optional for `trade_start_time` and `trade_start_window`.","allOf":[{"$ref":"#/components/schemas/Period"}]},"following":{"type":"boolean","default":false,"description":"Apply filter to followed values. Optional for `trade_start_time` and `trade_start_window`."},"min":{"type":["number","null"],"description":"Minimum value. For `trade_start_time` use timestamp in seconds"},"max":{"type":["number","null"],"description":"Maximum value. For `trade_start_time` use timestamp in seconds"}},"required":["type"]},"WalletListFilterOptionKey":{"description":"Filter key","oneOf":[{"type":"string","enum":["trade_start_time","trade_start_window"]},{"$ref":"#/components/schemas/WalletListIndicatorKey"}]},"WalletListItem":{"type":"object","description":"Wallet information for wallet list","properties":{"address":{"$ref":"#/components/schemas/Wallet/properties/address"},"network":{"$ref":"#/components/schemas/Wallet/properties/network"},"indicators":{"$ref":"#/components/schemas/WalletIndicatorsForPeriod"}},"required":["address","network","indicators"]},"Wallet":{"properties":{"address":{"type":"string","description":"Wallet address"},"network":{"$ref":"#/components/schemas/BlockchainNetwork"}}},"WalletIndicatorsForPeriod":{"type":"object","description":"Object where key is indicator name and value is object with indicator values by period","additionalProperties":{"type":"object","description":"Object where key is period and value is indicator values data","additionalProperties":{"$ref":"#/components/schemas/IndicatorAnyValues"}}},"IndicatorAnyValues":{"type":"object","description":"Indicator values","properties":{"initial":{"type":["number","integer"],"description":"Indicator initial value"},"following":{"type":["number","integer","null"],"description":"Indicator following value"}},"required":["initial","following"]},"PagePagination":{"type":"object","properties":{"current":{"type":"integer","description":"Current page number"},"per_page":{"type":"integer","description":"Number of items per page"},"total_pages":{"type":"integer","description":"Total number of pages"},"total_items":{"type":"integer","description":"Total number of items"}},"required":["current","per_page"]},"ResponseCredits":{"type":"object","description":"Credits data after request","properties":{"spent":{"type":"integer","description":"Credits spent on the request"},"remaining":{"type":"integer","description":"Remaining credits"}},"required":["spent","remaining"]}},"responses":{"400BadRequest":{"description":"Request fail","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"Error short code"},"detail":{"description":"Detailed error description"}},"required":["code"]}}}},"401Unauthorized":{"description":"API Key invalid or missing"},"403Forbidden":{"description":"API access forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"Error short code"},"detail":{"description":"Detailed error description"}},"required":["code"]}}}}}},"paths":{"/wallets":{"post":{"description":"Returns a list of wallets with filtering, sorting, and pagination capabilities","tags":["wallet"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"page":{"type":"integer","minimum":1,"default":1,"description":"Page number for pagination"},"networks":{"type":"array","items":{"$ref":"#/components/schemas/BlockchainNetwork"},"minItems":1,"description":"List of specific blockchain networks to return wallets for"},"order":{"$ref":"#/components/schemas/WalletListOrderSchema"},"filters":{"type":"array","items":{"$ref":"#/components/schemas/WalletApiFilterOptionsSchema"},"description":"List of filters to apply"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"result":{"type":"object","properties":{"wallets":{"type":"array","items":{"$ref":"#/components/schemas/WalletListItem"},"description":"List of wallets"},"page":{"$ref":"#/components/schemas/PagePagination"}},"required":["wallets","page"]},"credits":{"$ref":"#/components/schemas/ResponseCredits"}},"required":["result","credits"]}}}},"400":{"$ref":"#/components/responses/400BadRequest"},"401":{"$ref":"#/components/responses/401Unauthorized"},"403":{"$ref":"#/components/responses/403Forbidden"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.definest.ai/api/wallet-analytics/wallets-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
